> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post passwordexpired

> Changes the indicated User's password and logs that user back into the system on successful password change.

The requesting User must have the following rights to perform this task:

The Password Change request encompasses the following data fields:



## OpenAPI

````yaml /tango_reserve/integrations/guides/auth.yaml post /password/expired
openapi: 3.1.0
info:
  description: auth
  version: '2.0'
  title: Reserve Auth API
servers:
  - url: /auth/
security: []
tags:
  - name: ApplicationDomainService
    description: |-
      This service handles retrieving Authentication Domain values for an
      application.
  - name: ApplicationLoginService
    description: Handles application authentication.
  - name: LogoutService
    description: Provides user logout services.
  - name: UserLoginService
  - name: UserPasswordService
    description: Handles password managing.
paths:
  /password/expired:
    post:
      tags:
        - UserPasswordService
      description: >-
        Changes the indicated User's password and logs that user back into the
        system on successful password change.


        The requesting User must have the following rights to perform this task:


        The Password Change request encompasses the following data fields:
      operationId: changeExpiredPassword
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  newPassword: ...
                  emailAddress: ...
                  oldPassword: ...
            schema:
              $ref: '#/components/schemas/ChangeOwnPasswordData'
      responses:
        '201':
          description: Created
          content:
            application/json:
              examples:
                example:
                  value:
                    accountName: ...
                    appName: ...
                    customRules:
                      - name: ...
                        sysidCustomRuleType: 12345
                        userRuleDefinitions:
                          - languageTagKey: ...
                            sysidAttributeDataType: 12345
                            sysidUserCustomRuleDefinition: 12345
                            description: ...
                            name: ...
                          - languageTagKey: ...
                            sysidAttributeDataType: 12345
                            sysidUserCustomRuleDefinition: 12345
                            description: ...
                            name: ...
                        description: ...
                        sysidCustomExecutionPoint: 12345
                        venueRuleDefinitions:
                          - description: ...
                            languageTagKey: ...
                            sysidAttributeDataType: 12345
                            sysidVenueCustomRuleDefinition: 12345
                            name: ...
                          - description: ...
                            languageTagKey: ...
                            sysidAttributeDataType: 12345
                            sysidVenueCustomRuleDefinition: 12345
                            name: ...
                        languageTagKey: ...
                      - name: ...
                        sysidCustomRuleType: 12345
                        userRuleDefinitions:
                          - languageTagKey: ...
                            sysidAttributeDataType: 12345
                            sysidUserCustomRuleDefinition: 12345
                            description: ...
                            name: ...
                          - languageTagKey: ...
                            sysidAttributeDataType: 12345
                            sysidUserCustomRuleDefinition: 12345
                            description: ...
                            name: ...
                        description: ...
                        sysidCustomExecutionPoint: 12345
                        venueRuleDefinitions:
                          - description: ...
                            languageTagKey: ...
                            sysidAttributeDataType: 12345
                            sysidVenueCustomRuleDefinition: 12345
                            name: ...
                          - description: ...
                            languageTagKey: ...
                            sysidAttributeDataType: 12345
                            sysidVenueCustomRuleDefinition: 12345
                            name: ...
                        languageTagKey: ...
                    allowICS: true
                    userData:
                      sysidDefaultLocation: 12345
                      sysidApplicationUser: 12345
                      preferredName: ...
                      sysidDefaultResType: 12345
                      lastName: ...
                      authToken: ...
                      maxFutureReservationDays: 12345
                      userAuthRules:
                        - sysidAuthorizationRule: 12345
                        - sysidAuthorizationRule: 12345
                      sysidRole: 12345
                      sysidDefaultResCategory: 12345
                      sysidLanguage: 12345
                      preferences:
                        - value: ...
                          comment: ...
                          key: ...
                        - value: ...
                          comment: ...
                          key: ...
                      firstName: ...
                      reservationSpendingLimit: 12345
                      middleInitial: ...
                      sysidHomeLocation: 12345
                      defaultChargeCode: ...
                    accountOwner: true
                    sysidAccount: 12345
                    forumList:
                      - visited: true
                        name: ...
                        sysid: 12345
                        homeForum: true
                      - visited: true
                        name: ...
                        sysid: 12345
                        homeForum: true
                    sysidApplication: 12345
              schema:
                $ref: '#/components/schemas/UserAuthResponse'
      security:
        - AppAuthToken: []
components:
  schemas:
    ChangeOwnPasswordData:
      type: object
      title: ChangeOwnPasswordData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            newPassword:
              type: string
            emailAddress:
              type: string
            oldPassword:
              type: string
      example:
        newPassword: ...
        emailAddress: ...
        oldPassword: ...
    UserAuthResponse:
      type: object
      title: UserAuthResponse
      required:
        - allowICS
        - accountOwner
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            accountName:
              type: string
            appName:
              type: string
            customRules:
              type: array
              items:
                $ref: '#/components/schemas/CustomRuleData'
            allowICS:
              type: boolean
            userData:
              $ref: '#/components/schemas/UserAuthData'
            accountOwner:
              type: boolean
            sysidAccount:
              type: integer
              format: int32
            forumList:
              type: array
              items:
                $ref: '#/components/schemas/UserPublishedForum'
            sysidApplication:
              type: integer
              format: int32
      example:
        accountName: ...
        appName: ...
        customRules:
          - name: ...
            sysidCustomRuleType: 12345
            userRuleDefinitions:
              - languageTagKey: ...
                sysidAttributeDataType: 12345
                sysidUserCustomRuleDefinition: 12345
                description: ...
                name: ...
              - languageTagKey: ...
                sysidAttributeDataType: 12345
                sysidUserCustomRuleDefinition: 12345
                description: ...
                name: ...
            description: ...
            sysidCustomExecutionPoint: 12345
            venueRuleDefinitions:
              - description: ...
                languageTagKey: ...
                sysidAttributeDataType: 12345
                sysidVenueCustomRuleDefinition: 12345
                name: ...
              - description: ...
                languageTagKey: ...
                sysidAttributeDataType: 12345
                sysidVenueCustomRuleDefinition: 12345
                name: ...
            languageTagKey: ...
          - name: ...
            sysidCustomRuleType: 12345
            userRuleDefinitions:
              - languageTagKey: ...
                sysidAttributeDataType: 12345
                sysidUserCustomRuleDefinition: 12345
                description: ...
                name: ...
              - languageTagKey: ...
                sysidAttributeDataType: 12345
                sysidUserCustomRuleDefinition: 12345
                description: ...
                name: ...
            description: ...
            sysidCustomExecutionPoint: 12345
            venueRuleDefinitions:
              - description: ...
                languageTagKey: ...
                sysidAttributeDataType: 12345
                sysidVenueCustomRuleDefinition: 12345
                name: ...
              - description: ...
                languageTagKey: ...
                sysidAttributeDataType: 12345
                sysidVenueCustomRuleDefinition: 12345
                name: ...
            languageTagKey: ...
        allowICS: true
        userData:
          sysidDefaultLocation: 12345
          sysidApplicationUser: 12345
          preferredName: ...
          sysidDefaultResType: 12345
          lastName: ...
          authToken: ...
          maxFutureReservationDays: 12345
          userAuthRules:
            - sysidAuthorizationRule: 12345
            - sysidAuthorizationRule: 12345
          sysidRole: 12345
          sysidDefaultResCategory: 12345
          sysidLanguage: 12345
          preferences:
            - value: ...
              comment: ...
              key: ...
            - value: ...
              comment: ...
              key: ...
          firstName: ...
          reservationSpendingLimit: 12345
          middleInitial: ...
          sysidHomeLocation: 12345
          defaultChargeCode: ...
        accountOwner: true
        sysidAccount: 12345
        forumList:
          - visited: true
            name: ...
            sysid: 12345
            homeForum: true
          - visited: true
            name: ...
            sysid: 12345
            homeForum: true
        sysidApplication: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    CustomRuleData:
      type: object
      title: CustomRuleData
      required:
        - sysidCustomRuleType
        - sysidCustomExecutionPoint
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            name:
              type: string
            sysidCustomRuleType:
              type: integer
              format: int32
            userRuleDefinitions:
              type: array
              items:
                $ref: '#/components/schemas/UserCustomRuleDefinition'
            description:
              type: string
            sysidCustomExecutionPoint:
              type: integer
              format: int32
            venueRuleDefinitions:
              type: array
              items:
                $ref: '#/components/schemas/VenueCustomRuleDefinition'
            languageTagKey:
              type: string
      example:
        name: ...
        sysidCustomRuleType: 12345
        userRuleDefinitions:
          - languageTagKey: ...
            sysidAttributeDataType: 12345
            sysidUserCustomRuleDefinition: 12345
            description: ...
            name: ...
          - languageTagKey: ...
            sysidAttributeDataType: 12345
            sysidUserCustomRuleDefinition: 12345
            description: ...
            name: ...
        description: ...
        sysidCustomExecutionPoint: 12345
        venueRuleDefinitions:
          - description: ...
            languageTagKey: ...
            sysidAttributeDataType: 12345
            sysidVenueCustomRuleDefinition: 12345
            name: ...
          - description: ...
            languageTagKey: ...
            sysidAttributeDataType: 12345
            sysidVenueCustomRuleDefinition: 12345
            name: ...
        languageTagKey: ...
    UserAuthData:
      type: object
      title: UserAuthData
      required:
        - maxFutureReservationDays
        - sysidRole
        - sysidLanguage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidDefaultLocation:
              type: integer
              format: int32
            sysidApplicationUser:
              type: integer
              format: int32
            preferredName:
              type: string
            sysidDefaultResType:
              type: integer
              format: int32
            lastName:
              type: string
            authToken:
              type: string
            maxFutureReservationDays:
              type: integer
              format: int32
            userAuthRules:
              type: array
              items:
                $ref: '#/components/schemas/UserAuthRule'
            sysidRole:
              type: integer
              format: int32
            sysidDefaultResCategory:
              type: integer
              format: int32
            sysidLanguage:
              type: integer
              format: int32
            preferences:
              type: array
              items:
                $ref: '#/components/schemas/UserPreferencesData'
            firstName:
              type: string
            reservationSpendingLimit:
              type: integer
              format: int32
            middleInitial:
              type: string
            sysidHomeLocation:
              type: integer
              format: int32
            defaultChargeCode:
              type: string
      example:
        sysidDefaultLocation: 12345
        sysidApplicationUser: 12345
        preferredName: ...
        sysidDefaultResType: 12345
        lastName: ...
        authToken: ...
        maxFutureReservationDays: 12345
        userAuthRules:
          - sysidAuthorizationRule: 12345
          - sysidAuthorizationRule: 12345
        sysidRole: 12345
        sysidDefaultResCategory: 12345
        sysidLanguage: 12345
        preferences:
          - value: ...
            comment: ...
            key: ...
          - value: ...
            comment: ...
            key: ...
        firstName: ...
        reservationSpendingLimit: 12345
        middleInitial: ...
        sysidHomeLocation: 12345
        defaultChargeCode: ...
    UserPublishedForum:
      type: object
      title: UserPublishedForum
      required:
        - visited
        - sysid
        - homeForum
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            visited:
              type: boolean
            name:
              type: string
            sysid:
              type: integer
              format: int32
            homeForum:
              type: boolean
      example:
        visited: true
        name: ...
        sysid: 12345
        homeForum: true
    UserCustomRuleDefinition:
      type: object
      title: UserCustomRuleDefinition
      required:
        - sysidAttributeDataType
        - sysidUserCustomRuleDefinition
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            languageTagKey:
              type: string
            sysidAttributeDataType:
              type: integer
              format: int32
            sysidUserCustomRuleDefinition:
              type: integer
              format: int32
            description:
              type: string
            name:
              type: string
      example:
        languageTagKey: ...
        sysidAttributeDataType: 12345
        sysidUserCustomRuleDefinition: 12345
        description: ...
        name: ...
    VenueCustomRuleDefinition:
      type: object
      title: VenueCustomRuleDefinition
      required:
        - sysidAttributeDataType
        - sysidVenueCustomRuleDefinition
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            description:
              type: string
            languageTagKey:
              type: string
            sysidAttributeDataType:
              type: integer
              format: int32
            sysidVenueCustomRuleDefinition:
              type: integer
              format: int32
            name:
              type: string
      example:
        description: ...
        languageTagKey: ...
        sysidAttributeDataType: 12345
        sysidVenueCustomRuleDefinition: 12345
        name: ...
    UserAuthRule:
      type: object
      title: UserAuthRule
      required:
        - sysidAuthorizationRule
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidAuthorizationRule:
              type: integer
              format: int32
      example:
        sysidAuthorizationRule: 12345
    UserPreferencesData:
      type: object
      title: UserPreferencesData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            value:
              type: string
            comment:
              type: string
            key:
              type: string
      example:
        value: ...
        comment: ...
        key: ...
  securitySchemes:
    AppAuthToken:
      type: apiKey
      in: header
      name: AQOB-AppAuthToken

````